# AnimConfig | pokemon-rogue-battle
Documentation for pokemon-rogue-battle

# Class AnimConfig

- Defined in src/data/battle-anims.ts:109

##### Index

### Constructors

constructor

### Properties

frames
frameTimedEvents
graphic
hue
id
position

### Methods

getBackgroundResourceNames
getSoundResourceNames

## Constructors

### constructor

- new AnimConfig(source?: any): AnimConfig

  #### Parameters

  - `Optional` source: any

  #### Returns AnimConfig

  - Defined in src/data/battle-anims.ts:117

## Properties

### frames

frames: AnimFrame[][]

- Defined in src/data/battle-anims.ts:112

### frameTimedEvents

frameTimedEvents: Map<number, AnimTimedEvent[]>

- Defined in src/data/battle-anims.ts:113

### graphic

graphic: string

- Defined in src/data/battle-anims.ts:111

### hue

hue: number

- Defined in src/data/battle-anims.ts:115

### id

id: number

- Defined in src/data/battle-anims.ts:110

### position

position: number

- Defined in src/data/battle-anims.ts:114

## Methods

### getBackgroundResourceNames

- getBackgroundResourceNames(): string[]

  #### Returns string[]

  - Defined in src/data/battle-anims.ts:174

### getSoundResourceNames

- getSoundResourceNames(): string[]

  #### Returns string[]

  - Defined in src/data/battle-anims.ts:160